org.apache.cassandra.config

## Enum ColumnDefinition.Kind

- java.lang.Object
- - java.lang.Enum<ColumnDefinition.Kind>
  - - org.apache.cassandra.config.ColumnDefinition.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColumnDefinition.Kind>

Enclosing class:
  ColumnDefinition

    public static enum ColumnDefinition.Kind
    extends java.lang.Enum<ColumnDefinition.Kind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTERING`
`PARTITION_KEY`
`REGULAR`
`STATIC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isPrimaryKeyKind()`
`static ColumnDefinition.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColumnDefinition.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PARTITION_KEY

    public static final ColumnDefinition.Kind PARTITION_KEY

#### CLUSTERING

    public static final ColumnDefinition.Kind CLUSTERING

#### REGULAR

    public static final ColumnDefinition.Kind REGULAR

#### STATIC

    public static final ColumnDefinition.Kind STATIC

### Method Detail

#### values

    public static ColumnDefinition.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ColumnDefinition.Kind c : ColumnDefinition.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ColumnDefinition.Kind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isPrimaryKeyKind

    public boolean isPrimaryKeyKind()